<script setup lang="ts">
import { RouterLink } from 'vue-router'
import { type PropType } from 'vue'

type BreadcrumbType = [string, string]
type BreadcrumbsType = BreadcrumbType[]

// props
const props = defineProps({
	path: {
		type: Object as PropType<BreadcrumbsType>,
		required: true,
	},
	delimiter: {
		type: String,
		default: () => '|',
	},
})
</script>


<style scoped>
#container {
	margin: 0 0 1.5rem;
}

#container a {
	color: var(--c-link);
	text-decoration: none;
	cursor: pointer;
}

#container a:hover,
#container a:active {
	text-decoration: underline;
}

#here {
	font-size: 1.125rem;
	font-weight: bold;
}

.lite #here {
	color: #000;
}

.dark #here {
	color: #fff;
}
</style>


<template>
	<section id="container">
		<span v-for="(item, index) in props.path" :key="index">
			<span v-if="index < props.path.length - 1">
				<RouterLink class="link" :to="item[1]">{{ item[0] }}</RouterLink>
				&nbsp;{{ props.delimiter }}&nbsp;
			</span>
			<span v-else id="here">
				{{ item[0] }}
			</span>
		</span>
	</section>
</template>
